This guide contains technical reference information for the Cloud Storage
JSON API. Like the [XML API](https://docs.cloud.google.com/storage/docs/xml-api-overview), it is RESTful, but it has slightly different
URI endpoints and request syntax, and is specifically intended to be used with
the [Google Cloud Client Libraries](https://docs.cloud.google.com/storage/docs/reference/libraries.md.txt).

This API reference is organized by resource type. Each resource type has one or
more data representations and one or more methods.

URIs are relative to `https://storage.googleapis.com/storage/v1`, unless otherwise noted.

## Resource types

- [AnywhereCache](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#anywherecache)
- [BucketAccessControls](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#bucketaccesscontrols)
- [Buckets](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#buckets)
- [DefaultObjectAccessControls](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#defaultobjectaccesscontrols)
- [Folders](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#folders)
- [ManagedFolders](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#managedfolders)
- [Notifications](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#notifications)
- [ObjectAccessControls](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#objectaccesscontrols)
- [Objects](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#objects)
- [Operations](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#operations)
- [Projects.hmacKeys](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#projectshmackeys)
- [Projects.serviceAccount](https://docs.cloud.google.com/storage/docs/json_api/v1.md.txt#projectsserviceaccount)

## AnywhereCache

For `AnywhereCache` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCache.md.txt)
page.

| Method | HTTP request | Description |
|---|---|---|
| [create](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/create.md.txt) | `POST /b/BUCKET/anywhereCaches/ANYWHERE_CACHE_ID` | Creates a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) in a specified bucket. |
| [disable](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/disable.md.txt) | `POST /b/BUCKET/anywhereCaches/ANYWHERE_CACHE_ID/disable` | Disables a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) in a specified bucket. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/get.md.txt) | `GET /b/BUCKET/anywhereCaches/ANYWHERE_CACHE_ID` | Retrieves a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) for a specified bucket. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/list.md.txt) | `LIST /b/BUCKET/anywhereCaches` | Retrieves a list of [cache instances](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) for a specified bucket. |
| [resume](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/resume.md.txt) | `POST /b/BUCKET/anywhereCaches/ANYWHERE_CACHE_ID/resume` | Resumes a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) in a specified bucket from being disabled. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/update.md.txt) | `PUT /b/BUCKET/anywhereCaches/ANYWHERE_CACHE_ID` | Updates a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) in a specified bucket. Only caches in the `RUNNING` state can be updated. |

## BucketAccessControls

For `BucketAccessControls` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/delete.md.txt) | `DELETE /b/BUCKET/acl/ENTITY` | Permanently deletes the ACL entry for the specified entity on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/get.md.txt) | `GET /b/BUCKET/acl/ENTITY` | Returns the ACL entry for the specified entity on the specified bucket. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/insert.md.txt) | `POST /b/BUCKET/acl` | Creates a new ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/list.md.txt) | `GET /b/BUCKET/acl` | Retrieves ACL entries on a specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [patch](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/patch.md.txt) | `PATCH /b/BUCKET/acl/ENTITY` | Updates an ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). This method supports [patch](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch) semantics. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/bucketAccessControls/update.md.txt) | `PUT /b/BUCKET/acl/ENTITY` | Updates an ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |

## Buckets

For `Buckets` Resource details, see the [resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource) page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/delete.md.txt) | `DELETE /b/BUCKET` | Permanently deletes an empty bucket. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/get.md.txt) | `GET /b/BUCKET` | Returns metadata for the specified bucket. |
| [getIamPolicy](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/getIamPolicy.md.txt) | `GET /b/BUCKET/iam` | Returns an IAM policy for the specified bucket. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/insert.md.txt) | `POST /b` | Creates a new bucket. **Required query parameters:** `project` |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/list.md.txt) | `GET /b` | Retrieves a list of buckets for a given project. **Required query parameters:** `project` |
| [lockRetentionPolicy](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/lockRetentionPolicy.md.txt) | `POST /b/BUCKET/lockRetentionPolicy` | Irreversibly sets the retention policy on a bucket. **Required query parameters:** `ifMetagenerationMatch` |
| [patch](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/patch.md.txt) | `PATCH /b/BUCKET` | Updates a bucket. Changes to the bucket will be readable immediately after writing, but configuration changes may take time to propagate. This method supports [patch](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch) semantics. |
| [relocate](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/relocate.md.txt) | `POST /b/BUCKET/relocate` | Initiates the [dry run](https://docs.cloud.google.com/storage/docs/bucket-relocation/relocate-buckets.md.txt#dry-run) or the [initiate bucket relocation](https://docs.cloud.google.com/storage/docs/bucket-relocation/relocate-buckets.md.txt#initiate-relocation) step of a [bucket relocation operation](https://docs.cloud.google.com/storage/docs/bucket-relocation/overview.md.txt). |
| [restore](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/restore.md.txt) | `POST /b/BUCKET/restore` | Restores a soft-deleted bucket. |
| [setIamPolicy](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/setIamPolicy.md.txt) | `PUT /b/BUCKET/iam` | Updates an IAM policy for the specified bucket. |
| [testIamPermissions](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/testIamPermissions.md.txt) | `GET /b/BUCKET/iam/testPermissions` | Tests a set of permissions on the given bucket to see which, if any, are held by the caller. **Required query parameters:** `permissions` |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/update.md.txt) | `PUT /b/BUCKET` | Updates a bucket. Changes to the bucket will be readable immediately after writing, but configuration changes may take time to propagate. This method sets the complete metadata of a bucket. If you want to change some of a bucket's metadata while leaving other parts unaffected, use the [PATCH](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/patch.md.txt) method instead. |

## DefaultObjectAccessControls

For `DefaultObjectAccessControls` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/delete.md.txt) | `DELETE /b/BUCKET/defaultObjectAcl/ENTITY` | Permanently deletes the default object ACL entry for the specified entity on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/get.md.txt) | `GET /b/BUCKET/defaultObjectAcl/ENTITY` | Returns the default object ACL entry for the specified entity on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/insert.md.txt) | `POST /b/BUCKET/defaultObjectAcl` | Creates a new default object ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/list.md.txt) | `GET /b/BUCKET/defaultObjectAcl` | Retrieves default object ACL entries on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |
| [patch](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/patch.md.txt) | `PATCH /b/BUCKET/defaultObjectAcl/ENTITY` | Updates a default object ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). This method supports [patch](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch) semantics. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls/update.md.txt) | `PUT /b/BUCKET/defaultObjectAcl/ENTITY` | Updates a default object ACL entry on the specified [bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt#resource). |

## Folders

For `Folders` Resource details, see the [resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/folders.md.txt) page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/folders/delete.md.txt) | `DELETE /b/BUCKET/folders/FOLDER` | Permanently deletes an empty folder. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/folders/getfoldermetadata.md.txt) | `GET /b/BUCKET/folders/FOLDER` | Returns metadata for the specified folder. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/folders/insert.md.txt) | `POST /b/BUCKET/folders` | Creates a new folder. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/folders/list.md.txt) | `GET /b/BUCKET/folders` | Retrieves a list of folders in a given bucket. |
| [rename](https://docs.cloud.google.com/storage/docs/json_api/v1/folders/rename.md.txt) | `POST /b/BUCKET/folders/SOURCE_FOLDER/renameTo/folders/DESTINATION_FOLDER` | Renames a folder in a given bucket. |

## ManagedFolders

For `ManagedFolders` Resource details, see the [resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder.md.txt) page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/delete.md.txt) | `DELETE /b/BUCKET/managedFolders/MANAGED_FOLDER` | Permanently deletes a managed folder. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/get.md.txt) | `GET /b/BUCKET/managedFolders/MANAGED_FOLDER` | Returns metadata for the specified managed folder. |
| [getIamPolicy](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/getIamPolicy.md.txt) | `GET /b/BUCKET/managedFolders/MANAGED_FOLDER/iam` | Returns an IAM policy for the specified managed folder. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/insert.md.txt) | `POST /b/BUCKET/managedFolders` | Creates a new managed folder. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/list.md.txt) | `GET /b/BUCKET/managedFolders` | Retrieves a list of managed folders in a given bucket. |
| [setIamPolicy](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/setIamPolicy.md.txt) | `PUT /b/BUCKET/managedFolders/MANAGED_FOLDER/iam` | Updates an IAM policy for the specified managed folder. |
| [testIamPermissions](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder/testIamPermissions.md.txt) | `GET /b/BUCKET/managedFolders/MANAGED_FOLDER/iam/testPermissions` | Tests a set of permissions on the given managed folder. to see which, if any, are held by the caller. |

## Notifications

For `Notifications` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/notifications.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/notifications/delete.md.txt) | `DELETE /b/BUCKET/notificationConfigs/NOTIFICATION` | Permanently deletes a notification subscription. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/notifications/get.md.txt) | `GET /b/BUCKET/notificationConfigs/NOTIFICATION` | View a notification configuration. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/notifications/insert.md.txt) | `POST /b/BUCKET/notificationConfigs` | Creates a notification subscription for a given bucket. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/notifications/list.md.txt) | `GET /b/BUCKET/notificationConfigs` | Retrieves a list of notification subscriptions for a given bucket. |

## ObjectAccessControls

For `ObjectAccessControls` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/delete.md.txt) | `DELETE /b/BUCKET/o/OBJECT/acl/ENTITY` | Permanently deletes the ACL entry for the specified entity on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt). |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/get.md.txt) | `GET /b/BUCKET/o/OBJECT/acl/ENTITY` | Returns the ACL entry for the specified entity on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt#resource). |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/insert.md.txt) | `POST /b/BUCKET/o/OBJECT/acl` | Creates a new ACL entry on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt#resource). |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/list.md.txt) | `GET /b/BUCKET/o/OBJECT/acl` | Retrieves ACL entries on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt#resource). |
| [patch](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/patch.md.txt) | `PATCH /b/BUCKET/o/OBJECT/acl/ENTITY` | Updates an ACL entry on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt). This method supports [patch](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch) semantics. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/objectAccessControls/update.md.txt) | `PUT /b/BUCKET/o/OBJECT/acl/ENTITY` | Updates an ACL entry on the specified [object](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt#resource). |

## Objects

For `Objects` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/objects.md.txt#resource) page.

| Method | HTTP request | Description |
|---|---|---|
| [compose](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/compose.md.txt) | `POST /b/BUCKET/o/DESTINATION_OBJECT/compose` | Concatenates a list of existing objects into a new object in the same bucket. |
| [copy](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/copy.md.txt) | `POST /b/SOURCE_BUCKET/o/SOURCE_OBJECT/copyTo/b/DESTINATION_BUCKET/o/DESTINATION_OBJECT` | Copies a source object to a destination object. Optionally overrides metadata. |
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/delete.md.txt) | `DELETE /b/BUCKET/o/OBJECT` | Deletes an object and its metadata. Deletions are permanent if versioning is not enabled for the bucket, or if the `generation` parameter is used. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/get.md.txt) | `GET /b/BUCKET/o/OBJECT` | Retrieves an object or its metadata. |
| [insert](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/insert.md.txt) | `POST https://storage.googleapis.com/upload/storage/v1/b/BUCKET/o` and `POST /b/BUCKET/o` | Stores a new object and metadata. This method supports `simple`, `multipart`, and `resumable` upload types. For more information, see [Object uploads](https://docs.cloud.google.com/storage/docs/uploads.md.txt). |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/list.md.txt) | `GET /b/BUCKET/o` | Retrieves a list of objects matching the criteria. |
| [patch](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/patch.md.txt) | `PATCH /b/BUCKET/o/OBJECT` | Updates a data blob's associated metadata. This method supports [patch](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch) semantics. |
| [rewrite](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/rewrite.md.txt) | `POST /b/SOURCE_BUCKET/o/SOURCE_OBJECT/rewriteTo/b/DESTINATION_BUCKET/o/DESTINATION_OBJECT` | Rewrites a source object to a destination object. Optionally overrides metadata. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/objects/update.md.txt) | `PUT /b/BUCKET/o/OBJECT` | Updates an object's metadata. |

## Operations

For `Operations` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/operations.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [cancel](https://docs.cloud.google.com/storage/docs/json_api/v1/operations/cancel.md.txt) | `POST /b/BUCKET/operations/OPERATION_ID/cancel` | Cancels a long-running operation. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/operations/get.md.txt) | `GET /b/BUCKET/operations/OPERATION_ID` | Gets a long-running operation. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/operations/list.md.txt) | `GET /b/BUCKET/operations` | Lists long-running operations. |
| [advanceRelocateBucket](https://docs.cloud.google.com/storage/docs/json_api/v1/operations/advanceRelocateBucket.md.txt) | `POST /b/BUCKET/operations/OPERATION_ID/advanceRelocateBucket` | Initiates the [final synchronization](https://docs.cloud.google.com/storage/docs/bucket-relocation/relocate-buckets.md.txt#initiate-final-sync) step of a [bucket relocation](https://docs.cloud.google.com/storage/docs/bucket-relocation/overview.md.txt) operation |

## Projects.hmacKeys

For `Projects.hmacKeys` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [create](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys/create.md.txt) | `POST /projects/PROJECT_IDENTIFIER/hmacKeys` | Creates a new HMAC key for the specified service account. **Required query parameters:** `serviceAccountEmail` |
| [delete](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys/delete.md.txt) | `DELETE /projects/PROJECT_IDENTIFIER/hmacKeys/ACCESS_ID` | Deletes an HMAC key. |
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys/get.md.txt) | `GET /projects/PROJECT_IDENTIFIER/hmacKeys/ACCESS_ID` | Retrieves an HMAC key's metadata. |
| [list](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys/list.md.txt) | `GET /projects/PROJECT_IDENTIFIER/hmacKeys` | Retrieves a list of HMAC keys matching the criteria. |
| [update](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/hmacKeys/update.md.txt) | `PUT /projects/PROJECT_IDENTIFIER/hmacKeys/ACCESS_ID` | Updates the state of an HMAC key. |

## Projects.serviceAccount

For `Projects.serviceAccount` Resource details, see the
[resource representation](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/serviceAccount.md.txt#resource)
page.

| Method | HTTP request | Description |
|---|---|---|
| [get](https://docs.cloud.google.com/storage/docs/json_api/v1/projects/serviceAccount/get.md.txt) | `GET /projects/PROJECT_IDENTIFIER/serviceAccount` | Get the email address of this project's [Cloud Storage service agent](https://docs.cloud.google.com/storage/docs/projects.md.txt#service-accounts). |